%define upstream_name    Dist-Zilla-Plugin-Git-PushInitial
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Do initial git push from your minting profile
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::AfterMint)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::Wrapper)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module is only of interest to authors of the Dist::Zilla manpage
minting profiles.

After minting a new dist with Dist::Zilla::Plugin::Git::Init and setting
remote information with e.g. Dist::Zilla::Plugin::GitHub::Create, if
'push.default' is not configured or set at the default value ('tracking'),
or an older git is being used, it is necessary to create the branch on the
remote before a simple 'git push', done by e.g.
Dist::Zilla::Plugin::Git::Push will work on 'dzil release'.

Using this plugin in your minting profile should save the users of your
minting profile the step of doing a manual push, regardless of their git
config. They can just commit and do a 'dzil release', assuming they are
using Dist::Zilla::Plugin::Git::Push in their dist.ini.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-4.mga8
+ Revision: 1494318
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-3.mga7
+ Revision: 1267529
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-2.mga6
+ Revision: 1026215
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.20.0-1.mga6
+ Revision: 916534
- imported package perl-Dist-Zilla-Plugin-Git-PushInitial


* Mon Dec 28 2015 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
